﻿using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls.Primitives;

namespace Chapter27
{
  public class PlayingCard : ToggleButton
  {
    public static readonly DependencyProperty FaceProperty =
      DependencyProperty.Register("Face", typeof(string), typeof(PlayingCard),
      new PropertyMetadata("HA"));

    public PlayingCard()
    {
      this.DefaultStyleKey = typeof(PlayingCard);
    }

    public string Face
    {
      get { return (string)GetValue(FaceProperty); }
      set { SetValue(FaceProperty, value); }
    }
  }
}
